Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.bintype
Class BintypeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wlxt.nestedexception.NestedException
                        |
                        +--com.bea.wlxt.bintype.BintypeException

public class BintypeException
extends com.bea.wlxt.nestedexception.NestedException

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`BintypeException(com.bea.wlxt.mfl.MFLChildNode node, java.lang.Exception e)`
`BintypeException(com.bea.wlxt.mfl.MFLChildNode node, java.lang.String s)`
`BintypeException(com.bea.wlxt.mfl.MFLChildNode node, java.lang.String s, java.lang.Exception e)`

Method Summary
`protected static java.lang.String` | `getErrorMsgPrefix(com.bea.wlxt.mfl.AbstractMFLField node)`
`protected static java.lang.String` | `getErrorMsgPrefix(com.bea.wlxt.mfl.AbstractMFLMessage node)`
`protected static java.lang.String` | `getErrorMsgPrefix(com.bea.wlxt.mfl.MFLChildNode node)`

Methods inherited from class com.bea.wlxt.nestedexception.NestedException
`getMessage, getNestedException, isSystemException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BintypeException

    public BintypeException(com.bea.wlxt.mfl.MFLChildNode node,
                            java.lang.String s)

### BintypeException

    public BintypeException(com.bea.wlxt.mfl.MFLChildNode node,
                            java.lang.Exception e)

### BintypeException

    public BintypeException(com.bea.wlxt.mfl.MFLChildNode node,
                            java.lang.String s,
                            java.lang.Exception e)

Method Detail

### getErrorMsgPrefix

    protected static java.lang.String getErrorMsgPrefix(com.bea.wlxt.mfl.MFLChildNode node)

### getErrorMsgPrefix

    protected static java.lang.String getErrorMsgPrefix(com.bea.wlxt.mfl.AbstractMFLField node)

### getErrorMsgPrefix

    protected static java.lang.String getErrorMsgPrefix(com.bea.wlxt.mfl.AbstractMFLMessage node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)